Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.simple
Class SimpleLoggerContextFactory

    java.lang.Object
      org.apache.logging.log4j.simple.SimpleLoggerContextFactory

All Implemented Interfaces:
  LoggerContextFactory

    public class SimpleLoggerContextFactory

extends Object
implements LoggerContextFactory

Constructor Summary
`SimpleLoggerContextFactory()`

Method Summary
`LoggerContext` | `getContext(String fqcn, ClassLoader loader, Object externalContext, boolean currentContext)` Creates a `LoggerContext`.
`LoggerContext` | `getContext(String fqcn, ClassLoader loader, Object externalContext, boolean currentContext, URI configLocation, String name)` Creates a `LoggerContext`.
`void` | `removeContext(LoggerContext context)` Removes knowledge of a LoggerContext.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleLoggerContextFactory

    public SimpleLoggerContextFactory()

Method Detail

### getContext

    public LoggerContext getContext(String fqcn,
                                    ClassLoader loader,
                                    Object externalContext,
                                    boolean currentContext)

  Description copied from interface: `LoggerContextFactory`
  Creates a `LoggerContext`.

  Specified by:
    `getContext` in interface `LoggerContextFactory`
  Parameters:
    `fqcn` - The fully qualified class name of the caller.
    `loader` - The ClassLoader to use or null.
    `externalContext` - An external context (such as a ServletContext) to be associated with the LoggerContext.
    `currentContext` - If true returns the current Context, if false returns the Context appropriate for the caller if a more appropriate Context can be determined.
  Returns:
    The LoggerContext.

### getContext

    public LoggerContext getContext(String fqcn,
                                    ClassLoader loader,
                                    Object externalContext,
                                    boolean currentContext,
                                    URI configLocation,
                                    String name)

  Description copied from interface: `LoggerContextFactory`
  Creates a `LoggerContext`.

  Specified by:
    `getContext` in interface `LoggerContextFactory`
  Parameters:
    `fqcn` - The fully qualified class name of the caller.
    `loader` - The ClassLoader to use or null.
    `externalContext` - An external context (such as a ServletContext) to be associated with the LoggerContext.
    `currentContext` - If true returns the current Context, if false returns the Context appropriate for the caller if a more appropriate Context can be determined.
    `configLocation` - The location of the configuration for the LoggerContext.
    `name` - The name of the context or null.
  Returns:
    The LoggerContext.

### removeContext

    public void removeContext(LoggerContext context)

  Description copied from interface: `LoggerContextFactory`
  Removes knowledge of a LoggerContext.

  Specified by:
    `removeContext` in interface `LoggerContextFactory`
  Parameters:
    `context` - The context to remove.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.